Changeset 47fddc8


Ignore:
Timestamp:
08/12/2006 07:59:11 PM (18 years ago)
Author:
George Boudreau <georgeb@…>
Branches:
experimental
Children:
3fa20d4
Parents:
54f4782
Message:

Change bool parameter definitions from 0/1 to y/n to match the new menu app

Files:
19 edited

Legend:

Unmodified
Added
Removed
  • CLFS/clfs.xsl

    r54f4782 r47fddc8  
    2929
    3030  <!-- Bomb on test suites failures?
    31        0 = no, I want to build the full system and review the logs
    32        1 = yes, bomb at the first test suite failure to can review the build dir
     31       n = no, I want to build the full system and review the logs
     32       y = yes, bomb at the first test suite failure to can review the build dir
    3333  -->
    34   <xsl:param name="bomb-testsuite" select="0"/>
     34  <xsl:param name="bomb-testsuite" select="n"/>
    3535
    3636  <!-- Install vim-lang package? -->
    37   <xsl:param name="vim-lang" select="1"/>
     37  <xsl:param name="vim-lang" select="y"/>
    3838
    3939  <!-- Time zone -->
     
    103103            <xsl:if test="sect2[@role='installation']">
    104104              <xsl:text>cd $PKGDIR&#xA;</xsl:text>
    105               <xsl:if test="@id='ch-system-vim' and $vim-lang = '1'">
     105              <xsl:if test="@id='ch-system-vim' and $vim-lang = 'y'">
    106106                <xsl:text>tar -xvf ../vim-&vim-version;-lang.* --strip-components=1&#xA;</xsl:text>
    107107              </xsl:if>
     
    126126            ($testsuite = '2' or $testsuite = '3')">
    127127      <xsl:choose>
    128         <xsl:when test="$bomb-testsuite = '0'">
     128        <xsl:when test="$bomb-testsuite = 'n'">
    129129          <xsl:value-of select="substring-before(string(),'make')"/>
    130130          <xsl:text>make -k</xsl:text>
     
    194194            <xsl:if test="contains(string(),'check')">
    195195              <xsl:choose>
    196                 <xsl:when test="$bomb-testsuite = '0'">
     196                <xsl:when test="$bomb-testsuite = 'n'">
    197197                  <xsl:value-of select="substring-before(string(),'check')"/>
    198198                  <xsl:text>-k check</xsl:text>
     
    215215          <xsl:when test="$testsuite != '0'">
    216216            <xsl:choose>
    217               <xsl:when test="$bomb-testsuite = '0'">
     217              <xsl:when test="$bomb-testsuite = 'n'">
    218218                <xsl:text>make -k check &gt;&gt; $TEST_LOG 2&gt;&amp;1 || true&#xA;</xsl:text>
    219219              </xsl:when>
     
    231231            <xsl:value-of select="substring-before(string(),'&gt;g')"/>
    232232            <xsl:choose>
    233               <xsl:when test="$bomb-testsuite = '0'">
     233              <xsl:when test="$bomb-testsuite = 'n'">
    234234                <xsl:text>&gt;&gt; $TEST_LOG 2&gt;&amp;1 || true&#xA;</xsl:text>
    235235              </xsl:when>
  • CLFS/config

    r54f4782 r47fddc8  
    5555
    5656# Get the kernel package and patches even if no configutation file
    57 # has been supplied? 0(no)/1(yes)
    58 GETKERNEL=0
     57# has been supplied? n(no)/y(yes)
     58GETKERNEL=n
    5959
    6060#--- Book's sources directory
  • CLFS/master.sh

    r54f4782 r47fddc8  
    498498    # Skip alsp temp-perl for iterative runs
    499499    case $this_script in
    500       *stripping*) [[ "$STRIP" = "0" ]] && continue ;;
     500      *stripping*) [[ "$STRIP" = "n" ]] && continue ;;
    501501      *temp-perl*) [[ -n "$N" ]] && continue ;;
    502502    esac
     
    608608    # Skip alsp temp-perl for iterative runs
    609609    case $this_script in
    610       *stripping*) [[ "$STRIP" = "0" ]] && continue ;;
     610      *stripping*) [[ "$STRIP" = "n" ]] && continue ;;
    611611      *temp-perl*) [[ -n "$N" ]] && continue ;;
    612612    esac
     
    883883
    884884  # Add SBU-disk_usage report target if required
    885   if [[ "$REPORT" = "1" ]] ; then wrt_report ; fi
     885  if [[ "$REPORT" = "y" ]] ; then wrt_report ; fi
    886886
    887887}
     
    962962
    963963  # Add SBU-disk_usage report target if required
    964   if [[ "$REPORT" = "1" ]] ; then wrt_report ; fi
     964  if [[ "$REPORT" = "y" ]] ; then wrt_report ; fi
    965965
    966966}
     
    986986    final_system_Makefiles         # $basicsystem
    987987    # Add the iterations targets, if needed
    988     [[ "$COMPARE" != "0" ]] && wrt_compare_targets
     988    [[ "$COMPARE" = "y" ]] && wrt_compare_targets
    989989    bootscripts_Makefiles          # $bootscripttools
    990990    bootable_Makefiles             # $bootabletools
     
    996996    bm_final_system_Makefiles      # $basicsystem
    997997    # Add the iterations targets, if needed
    998     [[ "$COMPARE" != "0" ]] && wrt_compare_targets
     998    [[ "$COMPARE" = "y" ]] && wrt_compare_targets
    999999    bm_bootscripts_Makefiles       # $bootscipttools
    10001000    bm_bootable_Makefiles          # $bootabletoosl
  • CLFS2/clfs2.xsl

    r54f4782 r47fddc8  
    1818
    1919  <!-- Install vim-lang package? -->
    20   <xsl:param name="vim-lang" select="1"/>
     20  <xsl:param name="vim-lang" select="y"/>
    2121
    2222  <!-- Time zone -->
     
    7676            <xsl:if test="sect2[@role='installation']">
    7777              <xsl:text>cd $PKGDIR&#xA;</xsl:text>
    78               <xsl:if test="@id='ch-system-vim' and $vim-lang = '1'">
     78              <xsl:if test="@id='ch-system-vim' and $vim-lang = 'y'">
    7979                <xsl:text>tar -xvf ../vim-&vim-version;-lang.* --strip-components=1&#xA;</xsl:text>
    8080              </xsl:if>
  • CLFS2/config

    r54f4782 r47fddc8  
    3434
    3535# Get the kernel package and patches even if no configutation file
    36 # has been supplied? 0(no)/1(yes)
    37 GETKERNEL=0
     36# has been supplied? n(no)/y(yes)
     37GETKERNEL=n
    3838
    3939#--- Book's sources directory
  • CLFS2/master.sh

    r54f4782 r47fddc8  
    216216    # Skip alsp temp-perl for iterative runs
    217217    case $this_script in
    218       *stripping*) [[ "$STRIP" = "0" ]] && continue ;;
     218      *stripping*) [[ "$STRIP" = "n" ]] && continue ;;
    219219    esac
    220220
     
    404404
    405405  # Add SBU-disk_usage report target if required
    406   if [[ "$REPORT" = "1" ]] ; then wrt_report ; fi
     406  if [[ "$REPORT" = "y" ]] ; then wrt_report ; fi
    407407
    408408}
  • Config.in

    r54f4782 r47fddc8  
    337337                        #-- The directory where the created system will be located.
    338338
    339         config  CONFIG_GETPKG
     339        config  GETPKG
    340340                bool "Retrieve source files"
    341341                default n
     
    349349                string "Package Archive Directory"
    350350                default "$SRC_ARCHIVE"
    351                 depends CONFIG_GETPKG
     351                depends GETPKG
    352352                help
    353353                        #-- A local archive for packages/file (not $BUILDDIR/sources)
     
    356356                        #   if the user has the right priviledges.
    357357
    358         config  CONFIG_GETKERNEL
     358        config  GETKERNEL
    359359                bool    "Always retrieve kernel package"
    360360                default n
    361                 depends CONFIG_GETPKG
     361                depends GETPKG
    362362                help
    363363                        #-- Get the kernel package and patches even if no configuration
    364364                        #   file has been supplied.
    365365
    366         config  CONFIG_RUNMAKE
     366        config  RUNMAKE
    367367                bool    "Run the makefile"
    368368                default n
     
    370370                        #-- Automatically run the makefile once it has been created
    371371
    372         config  CONFIG_REBUILD
     372        config  CLEAN
    373373                bool    "Rebuild files"
    374374                default n
     
    431431                default "3"     if TST_3
    432432
    433         choice
     433        choice 
    434434                prompt  "Flavour ->"
    435435                depends CONFIG_TESTS
    436                 default NO_BOMB
    437436
    438437                config  NO_BOMB
    439438                        bool    "Don't stop on test suite failures"
     439                        default n
    440440
    441441                config  BOMB
    442442                        bool    "Abort the build at the first test suite failure"
     443                        default n
    443444        endchoice
    444445
    445446        config  BOMB_TEST
    446                 int
    447                 default "0"     if NO_BOMB
    448                 default "1"     if BOMB
     447                bool
     448                default BOMB
     449
    449450        #--- End Test Suites
    450451
     
    495496        #--- End Kernel
    496497
    497         config  CONFIG_STRIP
     498        config  STRIP
    498499                bool "Strip Installed Binaries/Libraries"
    499500                default y
    500501
    501         config  CONFIG_VIMLANG
     502        config  VIMLANG
    502503                bool "Install vim-lang package"
    503504                default y
     
    550551menu "--- Advanced Features"
    551552
    552         config  CONFIG_REPORT
     553        config  REPORT
    553554                bool "Create SBU and disk usage report"
    554555                default y
    555556
    556557        #--- ICA/farce
    557         config  CONFIG_COMPARE
     558        config  COMPARE
    558559                bool "Run comparison analysis on final stage"
    559560                depends !BOOK_CLFS2
     
    575576
    576577        config  ITERATIONS
    577                 int     "Number of test runs (2,3,4,5)"
    578                 depends on CONFIG_COMPARE
     578                int     "Number of test runs (2,3,4,5)" if COMPARE
     579                depends on COMPARE
    579580                range   2 5
    580581                default 3
    581582
    582         config  CONFIG_ICA
     583        config  RUN_ICA
    583584                bool    "ICA testing"
    584                 depends on CONFIG_COMPARE
     585                depends on COMPARE
    585586                default y
    586587                help
    587588                        #-- Run ICA testing
    588589
    589         config  CONFIG_FARCE
     590        config  RUN_FARCE
    590591                bool    "farce testing"
    591                 depends on CONFIG_COMPARE
     592                depends on COMPARE
    592593                default n
    593594                help
     
    648649
    649650
    650 # convert CONFIG_XXXX n/y to XXXX 0/1
    651 
    652         config  COMPARE
    653                 int
    654                 default 0       if !CONFIG_COMPARE
    655                 default 1       if  CONFIG_COMPARE
    656 
    657         config  GETPKG
    658                 int
    659                 default 0       if !CONFIG_GETPKG
    660                 default 1       if  CONFIG_GETPKG
    661 
    662         config  GETKERNEL
    663                 int
    664                 default 0       if !CONFIG_GETKERNEL
    665                 default 1       if  CONFIG_GETKERNEL
    666 
    667         config  RUNMAKE
    668                 int
    669                 default 0       if !CONFIG_RUNMAKE
    670                 default 1       if  CONFIG_RUNMAKE
    671 
    672         config  STRIP
    673                 int
    674                 default 0       if !CONFIG_STRIP
    675                 default 1       if  CONFIG_STRIP
    676 
    677         config  REPORT
    678                 int
    679                 default 0       if !CONFIG_REPORT
    680                 default 1       if  CONFIG_REPORT
    681 
    682         config  VIMLANG
    683                 int
    684                 default 0       if !CONFIG_VIMLANG
    685                 default 1       if  CONFIG_VIMLANG
    686 
    687         config  RUN_ICA
    688                 int
    689                 default 0       if !CONFIG_ICA
    690                 default 1       if  CONFIG_ICA
    691 
    692         config  RUN_FARCE
    693                 int
    694                 default 0       if !CONFIG_FARCE
    695                 default 1       if  CONFIG_FARCE
    696 
    697         config  CLEAN
    698                 int
    699                 default 0       if !CONFIG_REBUILD
    700                 default 1       if  CONFIG_REBUILD
  • HLFS/config

    r54f4782 r47fddc8  
    1010MODEL=glibc
    1111
    12 #--- The host system has grsecurity options enabled? 0(no)/1(yes)
    13 GRSECURITY_HOST=0
     12#--- The host system has grsecurity options enabled? n0(no)/y(yes)
     13GRSECURITY_HOST=n
    1414
    1515#--- Unprivileged user and group name
     
    2525
    2626# Get the kernel package and patches even if no configutation file
    27 # has been supplied? 0(no)/1(yes)
    28 GETKERNEL=0
     27# has been supplied? n(no)/y(yes)
     28GETKERNEL=n
    2929
    3030#--- Book's sources directory
  • HLFS/hlfs.xsl

    r54f4782 r47fddc8  
    1818
    1919  <!-- Is the host kernel using grsecurity? -->
    20   <xsl:param name="grsecurity_host" select="0"/>
     20  <xsl:param name="grsecurity_host" select="n"/>
    2121
    2222  <!-- Compile the keymap into the kernel? -->
     
    3232
    3333  <!-- Bomb on test suites failures?
    34        0 = no, I want to build the full system and review the logs
    35        1 = yes, bomb at the first test suite failure to can review the build dir
     34       n = no, I want to build the full system and review the logs
     35       y = yes, bomb at the first test suite failure to can review the build dir
    3636  -->
    37   <xsl:param name="bomb-testsuite" select="0"/>
     37  <xsl:param name="bomb-testsuite" select="n"/>
    3838
    3939  <!-- Time zone -->
     
    144144                  ($testsuite = '2' or $testsuite = '3')">
    145145      <xsl:choose>
    146         <xsl:when test="$bomb-testsuite = '0'">
     146        <xsl:when test="$bomb-testsuite = 'n'">
    147147          <xsl:value-of select="substring-before(string(),'make')"/>
    148148          <xsl:text>make -k</xsl:text>
     
    177177      <xsl:when test="ancestor::sect1[@id='ch-system-kernfs'] and
    178178                contains(string(),'sysctl')
    179                 and $grsecurity_host ='0'"/>
     179                and $grsecurity_host ='n'"/>
    180180      <!-- Setting $LC_ALL and $LANG for /etc/profile -->
    181181      <xsl:when test="ancestor::sect1[@id='bootable-profile'] and
     
    227227            <xsl:if test="contains(string(),'check')">
    228228              <xsl:choose>
    229                 <xsl:when test="$bomb-testsuite = '0'">
     229                <xsl:when test="$bomb-testsuite = 'n'">
    230230                  <xsl:value-of select="substring-before(string(),'check')"/>
    231231                  <xsl:text>-k check</xsl:text>
     
    248248            <xsl:apply-templates/>
    249249            <xsl:choose>
    250               <xsl:when test="$bomb-testsuite = '0'">
     250              <xsl:when test="$bomb-testsuite = 'n'">
    251251                <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1 || true&#xA;</xsl:text>
    252252              </xsl:when>
     
    264264            <xsl:value-of select="substring-before(string(),'&gt; glibc-')"/>
    265265            <xsl:choose>
    266               <xsl:when test="$bomb-testsuite = '0'">
     266              <xsl:when test="$bomb-testsuite = 'n'">
    267267                <xsl:text> &gt;&gt; $TEST_LOG 2&gt;&amp;1 || true&#xA;</xsl:text>
    268268              </xsl:when>
  • HLFS/master.sh

    r54f4782 r47fddc8  
    176176      *introduction* ) continue ;;
    177177        # Test if the stripping phase must be skipped
    178       *stripping* ) [[ "$STRIP" = "0" ]] && continue ;;
     178      *stripping* ) [[ "$STRIP" = "n" ]] && continue ;;
    179179      *) ;;
    180180    esac
     
    288288      *chroot* )  continue ;;
    289289        # Test if the stripping phase must be skipped
    290       *-stripping* )  [[ "$STRIP" = "0" ]] && continue ;;
     290      *-stripping* )  [[ "$STRIP" = "n" ]] && continue ;;
    291291    esac
    292292
     
    466466
    467467  # Add SBU-disk_usage report target if required
    468   if [[ "$REPORT" = "1" ]] ; then wrt_report ; fi
     468  if [[ "$REPORT" = "y" ]] ; then wrt_report ; fi
    469469}
    470470
     
    483483  chapter6_Makefiles
    484484  # Add the iterations targets, if needed
    485   [[ "$COMPARE" != "0" ]] && wrt_compare_targets
     485  [[ "$COMPARE" = "y" ]] && wrt_compare_targets
    486486  chapter7_Makefiles
    487487
  • LFS/config

    r54f4782 r47fddc8  
    1919
    2020# Get the kernel package and patches even if no configuration file
    21 # has been supplied? 0(no)/1(yes)
    22 GETKERNEL=0
     21# has been supplied? n(no)/y(yes)
     22GETKERNEL=n
    2323
    2424#--- Book's sources directory
  • LFS/lfs.xsl

    r54f4782 r47fddc8  
    2323
    2424  <!-- Bomb on test suites failures?
    25        0 = no, I want to build the full system and review the logs
    26        1 = yes, bomb at the first test suite failure to can review the build dir
     25       n = no, I want to build the full system and review the logs
     26       y = yes, bomb at the first test suite failure to can review the build dir
    2727  -->
    28   <xsl:param name="bomb-testsuite" select="0"/>
     28  <xsl:param name="bomb-testsuite" select="n"/>
    2929
    3030  <!-- Install vim-lang package? -->
    31   <xsl:param name="vim-lang" select="1"/>
     31  <xsl:param name="vim-lang" select="y"/>
    3232
    3333  <!-- Time zone -->
     
    9191        <xsl:if test="sect2[@role='installation']">
    9292          <xsl:text>cd $PKGDIR&#xA;</xsl:text>
    93           <xsl:if test="@id='ch-system-vim' and $vim-lang = '1'">
     93          <xsl:if test="@id='ch-system-vim' and $vim-lang = 'y'">
    9494            <xsl:text>tar -xvf ../vim-&vim-version;-lang.* --strip-components=1&#xA;</xsl:text>
    9595          </xsl:if>
     
    118118            $testsuite = '3')">
    119119      <xsl:choose>
    120         <xsl:when test="$bomb-testsuite = '0'">
     120        <xsl:when test="$bomb-testsuite = 'n'">
    121121          <xsl:value-of select="substring-before(string(),'make')"/>
    122122          <xsl:text>make -k</xsl:text>
     
    182182            <xsl:if test="contains(string(),'check')">
    183183              <xsl:choose>
    184                 <xsl:when test="$bomb-testsuite = '0'">
     184                <xsl:when test="$bomb-testsuite = 'n'">
    185185                  <xsl:value-of select="substring-before(string(),'check')"/>
    186186                  <xsl:text>-k check</xsl:text>
     
    205205                    $testsuite = '3'">
    206206            <xsl:choose>
    207               <xsl:when test="$bomb-testsuite = '0'">
     207              <xsl:when test="$bomb-testsuite = 'n'">
    208208                <xsl:text>make -k check &gt;&gt; $TEST_LOG 2&gt;&amp;1 || true&#xA;</xsl:text>
    209209              </xsl:when>
  • LFS/master.sh

    r54f4782 r47fddc8  
    8080      *expect)    [[ "${TEST}" = "0" ]] && continue ;;
    8181      *dejagnu)   [[ "${TEST}" = "0" ]] && continue ;;
    82       *stripping) [[ "${STRIP}" = "0" ]] && continue ;;
     82      *stripping) [[ "${STRIP}" = "n" ]] && continue ;;
    8383      *glibc)     [[ "${TEST}" = "3" ]] && \
    8484                  sed -i 's@/usr/lib/locale@/tools/lib/locale@' $file ;;
     
    177177    case "${this_script}" in
    178178      *chroot)      continue ;;
    179       *stripping*) [[ "${STRIP}" = "0" ]] && continue ;;
     179      *stripping*) [[ "${STRIP}" = "n" ]] && continue ;;
    180180    esac
    181181
     
    335335
    336336  # Add SBU-disk_usage report target if required
    337   if [[ "$REPORT" = "1" ]] ; then wrt_report ; fi
     337  if [[ "$REPORT" = "y" ]] ; then wrt_report ; fi
    338338}
    339339
     
    352352  chapter6_Makefiles
    353353  # Add the iterations targets, if needed
    354   [[ "$COMPARE" != "0" ]] && wrt_compare_targets
     354  [[ "$COMPARE" = "y" ]] && wrt_compare_targets
    355355  chapter789_Makefiles
    356356
  • Makefile

    r54f4782 r47fddc8  
    88
    99all: menuconfig
     10        @clear
    1011        @touch using_menuconfig
    1112        @`grep RUN_ME configuration | sed -e 's@RUN_ME=\"@@' -e 's@\"@@' ` || rm -f using_menuconfig
  • common/common-functions

    r54f4782 r47fddc8  
    573573#----------------------------#
    574574  # Test if make must be run.
    575   if [ "$RUNMAKE" = "1" ] ; then
     575  if [ "$RUNMAKE" = "y" ] ; then
    576576    # Test to make sure we're running the build as root
    577577    if [ "$UID" != "0" ] ; then
     
    593593#----------------------------#
    594594  # Test if the clean must be done.
    595   if [ "$CLEAN" = "1" ] ; then
     595  if [ "${CLEAN}" = "y" ]; then
    596596    # Test to make sure we're running the clean as root
    597597    if [ "$UID" != "0" ] ; then
     
    706706                 --stringparam page $PAGE \
    707707                 --stringparam lang $LANG \
    708                  --stringparam keymap ${KEYMAP:-"none"} \
     708                 --stringparam keymap $KEYMAP \
    709709                 -o ./${PROGNAME}-commands/ $XSL $BOOK/$ARCH-index.xml >>$LOGDIR/$LOG 2>&1
    710710      ;;
     
    718718                 --stringparam page $PAGE \
    719719                 --stringparam lang $LANG \
    720                  --stringparam keymap ${KEYMAP:-"none"} \
     720                 --stringparam keymap $KEYMAP \
    721721                 -o ./${PROGNAME}-commands/ $XSL $BOOK/$ARCH-index.xml >>$LOGDIR/$LOG 2>&1
    722722      ;;
     
    732732                 --stringparam lang $LANG \
    733733                 --stringparam lc_all $LC_ALL \
    734                  --stringparam keymap ${KEYMAP:-"none"} \
     734                 --stringparam keymap $KEYMAP \
    735735                 --stringparam grsecurity_host $GRSECURITY_HOST \
    736736                 -o ./${PROGNAME}-commands/ $XSL $BOOK/index.xml >>$LOGDIR/$LOG 2>&1
     
    796796
    797797    # Test if the packages must be downloaded
    798   [ ! "$GETPKG" = "1" ] && return
     798  [ ! "$GETPKG" = "y" ] && return
    799799
    800800  gs_wrt_message(){
     
    826826        *linux/linux-* )
    827827            [[ -z "$CONFIG" ]] && [[ -z "$BOOT_CONFIG" ]] && \
    828             [[ "$GETKERNEL" = "0" ]] && continue
     828            [[ "$GETKERNEL" = "n" ]] && continue
    829829          ;;
    830830    esac
     
    908908      # Do not allow the automatic execution of the Makefile.
    909909    echo "${tab_}${BOLD}${RED}*** ${YELLOW}Automatic execution of the generated makefile has been inhibited. ${RED}***${OFF}${nl_}"
    910     RUNMAKE=0
     910    RUNMAKE="n"
    911911  fi
    912912}
  • common/config

    r54f4782 r47fddc8  
    1212BUILDDIR=/mnt/build_dir
    1313
    14 # Create SBU and disk usage report  0(no)/1(yes)
     14# Create SBU and disk usage report  n(no)/y(yes)
    1515# NOTE: requires to have bc installed on the host
    16 REPORT=1
     16REPORT=y
    1717
    1818#=== Getting packages ===
    1919#    Files will be retrieved from the local archive SRC_ARCHIVE
    2020#    (if defined) or the 'net and will be stored in $BUILDDIR/sources
    21 #--- Download the source packages 0(no)/1(yes)
    22 GETPKG=0
     21#--- Download the source packages n(no)/y(yes)
     22GETPKG=n
    2323
    2424#--- The local repository for packages/file
    25 #    Used only if GETPKG = 1
     25#    Used only if GETPKG = y
    2626#    Any missing file will be downloaded and archived here,
    2727#    if the user has the right priviledges.
     
    3333
    3434#=== Build options ===
    35 #--- Automatically run the makefile once it has been created  0(no)/1(yes)
    36 RUNMAKE=0
     35#--- Automatically run the makefile once it has been created  n(no)/y(yes)
     36RUNMAKE=n
    3737
    3838#--- Optimize the build  [0-2]
     
    5353
    5454#--- Bomb on test suites failures?
    55 0 = no, I want to build the full system and review the logs
    56 1 = yes, bomb at the first test suite failure to can review the build dir
    57 BOMB_TEST=0
     55n = no, I want to build the full system and review the logs
     56y = yes, bomb at the first test suite failure to can review the build dir
     57BOMB_TEST=n
    5858
    59 #--- Run the stripping phases  0(no)/1(yes)
    60 STRIP=1
     59#--- Run the stripping phases  n(no)/y(yes)
     60STRIP=y
    6161
    6262#--- page definition for groff letter/A4
     
    6666TIMEZONE=${TZ:-GMT}
    6767
    68 #--- install the optional vim-lang package  0(no)/1(yes)
    69 VIMLANG=1
     68#--- install the optional vim-lang package  n(no)/y(yes)
     69VIMLANG=y
    7070
    7171#--- Language information in /etc/profile  See <locale -a> for values
     
    8080
    8181#=== Variables needed by iterative comparison analysis ===
    82 #--- Should some iterative comparison analysis by made? 0(no)/1(yes)
    83 COMPARE=0
     82#--- Should some iterative comparison analysis by made? n(no)/y(yes)
     83COMPARE=n
    8484
    8585#--- The number of final stage builds to create and compare, min. 2, max. 5
    8686ITERATIONS=3
    8787
    88 #--- Run ICA testing 0(no)/1(yes)
    89 RUN_ICA=0
     88#--- Run ICA testing n(no)/y(yes)
     89RUN_ICA=n
    9090
    91 #--- Run farce testing 0(no)/1(yes)
    92 RUN_FARCE=0
     91#--- Run farce testing n(no)/y(yes)
     92RUN_FARCE=n
    9393
    9494#==== INTERNAL VARIABLES ====
  • common/func_compare.sh

    r54f4782 r47fddc8  
    5555  fi
    5656
    57   if [[ "$RUN_ICA" = "1" ]] ; then
     57  if [[ "$RUN_ICA" = "y" ]] ; then
    5858    local DEST_ICA=$DEST_TOPDIR/ICA && \
    5959(
     
    6868  fi
    6969
    70   if [[ "$RUN_FARCE" = "1" ]] ; then
     70  if [[ "$RUN_FARCE" = "y" ]] ; then
    7171    local DEST_FARCE=$DEST_TOPDIR/farce && \
    7272(
  • common/func_validate_configs.sh

    r54f4782 r47fddc8  
    11# $Id$
     2
     3declare -r dotSTR=".................."
    24
    35#----------------------------#
     
    79  local -r ERROR_MSG_pt2='  check the config file ${BOLD}${GREEN}\<$(echo $PROGNAME | tr [a-z] [A-Z])/config\> or \<common/config\>${OFF}'
    810
    9   local -r PARAM_VALS='TARGET: ${L_arrow}${BOLD}${TARGET}${OFF}${R_arrow}'
    10   local -r PARAM_VALS2='TARGET32: ${L_arrow}${BOLD}${TARGET32}${OFF}${R_arrow}'
     11  local -r PARAM_VALS='TARGET${dotSTR:6} ${L_arrow}${BOLD}${TARGET}${OFF}${R_arrow}'
     12  local -r PARAM_VALS2='TARGET32${dotSTR:8} ${L_arrow}${BOLD}${TARGET32}${OFF}${R_arrow}'
    1113
    1214  write_error_and_die() {
     
    9496  local -r ERROR_MSG_pt1='The variable \"${L_arrow}${config_param}${R_arrow}\" value ${L_arrow}${BOLD}${!config_param}${R_arrow} is invalid,'
    9597  local -r ERROR_MSG_pt2=' check the config file ${BOLD}${GREEN}\<$(echo $PROGNAME | tr [a-z] [A-Z])/config\> or \<common/config\>${OFF}'
    96   local -r PARAM_VALS='${config_param}: ${L_arrow}${BOLD}${!config_param}${OFF}${R_arrow}'
     98  local -r PARAM_VALS='${config_param}${dotSTR:${#config_param}} ${L_arrow}${BOLD}${!config_param}${OFF}${R_arrow}'
    9799
    98100  local    PARAM_LIST=
     
    175177
    176178      # Validate general parameters..
    177       GETPKG)     validate_against_str "x0x x1x" ;;
     179      GETPKG)     validate_against_str "xnx xyx" ;;
    178180      GETKERNEL ) if [[ -z "$CONFIG" ]] && [[ -z "$BOOT_CONFIG" ]] ; then
    179                     [[ "$GETPKG" = "1" ]] && validate_against_str "x0x x1x"
     181                    [[ "$GETPKG" = "y" ]] && validate_against_str "xnx xyx"
    180182                  fi ;;
    181       RUNMAKE)    validate_against_str "x0x x1x" ;;
    182       REPORT)     validate_against_str "x0x x1x"
    183                   if [[ "${!config_param}" = "1" ]]; then
     183      RUNMAKE)    validate_against_str "xnx xyx" ;;
     184      REPORT)     validate_against_str "xnx xyx"
     185                  if [[ "${!config_param}" = "y" ]]; then
    184186                    if [[ `type -p bc` ]]; then
    185187                      continue
     
    187189                      echo -e "  ${BOLD}The bc binary was not found${OFF}"
    188190                      echo -e "  The SBU and disk usage report creation will be skiped"
    189                       REPORT=0
     191                      REPORT=n
    190192                      continue
    191193                    fi
    192194                  fi ;;
    193       COMPARE)    if [[ ! "$COMPARE" = "1" ]]; then
    194                     validate_against_str "x0x x1x"
     195      COMPARE)    if [[ ! "$COMPARE" = "y" ]]; then
     196                    validate_against_str "xnx xyx"
    195197                  else
    196                     if [[ ! "${RUN_ICA}" = "1" ]] && [[ ! "${RUN_FARCE}" = "1" ]]; then
     198                    if [[ ! "${RUN_ICA}" = "y" ]] && [[ ! "${RUN_FARCE}" = "y" ]]; then
    197199                       echo  "${nl_}${DD_BORDER}"
    198200                       echo  "You have elected to analyse your build but have failed to select a tool." >&2
     
    202204                    fi
    203205                  fi ;;
    204       RUN_ICA)    [[ "$COMPARE" = "1" ]] && validate_against_str "x0x x1x" ;;
    205       RUN_FARCE)  [[ "$COMPARE" = "1" ]] && validate_against_str "x0x x1x" ;;
    206       ITERATIONS) [[ "$COMPARE" = "1" ]] && validate_against_str "x2x x3x x4x x5x" ;;
     206      RUN_ICA)    [[ "$COMPARE" = "y" ]] && validate_against_str "xnx xyx" ;;
     207      RUN_FARCE)  [[ "$COMPARE" = "y" ]] && validate_against_str "xnx xyx" ;;
     208      ITERATIONS) [[ "$COMPARE" = "y" ]] && validate_against_str "x2x x3x x4x x5x" ;;
    207209      TEST)       validate_against_str "x0x x1x x2x x3x" ;;
    208       BOMB_TEST)  [[ ! "$TEST" = "0" ]] && validate_against_str "x0x x1x" ;;
     210      BOMB_TEST)  [[ ! "$TEST" = "0" ]] && validate_against_str "xnx xyx" ;;
    209211      OPTIMIZE)   validate_against_str "x0x x1x x2x" ;;
    210       STRIP)      validate_against_str "x0x x1x" ;;
    211       VIMLANG)    validate_against_str "x0x x1x" ;;
     212      STRIP)      validate_against_str "xnx xyx" ;;
     213      VIMLANG)    validate_against_str "xnx xyx" ;;
    212214      MODEL)      validate_against_str "xglibcx xuclibcx" ;;
    213215      PAGE)       validate_against_str "xletterx xA4x" ;;
     
    221223                  [[ "${!config_param}" = "**EDIT ME**" ]] && write_error_and_die
    222224                  ;;
    223       GRSECURITY_HOST)  validate_against_str "x0x x1x" ;;
     225      GRSECURITY_HOST)  validate_against_str "xnx xyx" ;;
    224226
    225227      # BOOK validation. Very ugly, need be fixed
     
    233235      #  fatal   -z -d -w,
    234236      #  warning -z+   -w+
    235       SRC_ARCHIVE) [[ "$GETPKG" = "1" ]] && validate_dir -z+ -d -w+ ;;
     237      SRC_ARCHIVE) [[ "$GETPKG" = "y" ]] && validate_dir -z+ -d -w+ ;;
    236238      BUILDDIR)   # The build directory/partition MUST exist and be writable by the user
    237239                  validate_dir -z -d -w
  • master.sh

    r54f4782 r47fddc8  
    4747    VERBOSITY=0
    4848
    49 [[ $VERBOSITY > 0 ]] && echo -n "Loading common-functions module..."
    50 source $COMMON_DIR/common-functions
    51 [[ $? > 0 ]] && echo " $COMMON_DIR/common-functions did not load.." && exit
    52 [[ $VERBOSITY > 0 ]] && echo "OK"
    53 #
    54 [[ $VERBOSITY > 0 ]] && echo -n "Loading masterscript conf..."
    55 source $COMMON_DIR/config
    56 [[ $? > 0 ]] && echo "$COMMON_DIR/conf did not load.." && exit
    57 [[ $VERBOSITY > 0 ]] && echo "OK"
    58 #
    59 [[ $VERBOSITY > 0 ]] && echo -n "Loading config module <$MODULE_CONFIG>..."
    60 source $MODULE_CONFIG
    61 [[ $? > 0 ]] && echo "$MODULE_CONFIG did not load.." && exit 1
    62 [[ $VERBOSITY > 0 ]] && echo "OK"
    63 #
    64 [[ $VERBOSITY > 0 ]] && echo -n "Loading code module <$MODULE>..."
    65 source $MODULE
    66 [[ $? > 0 ]] && echo "$MODULE did not load.." && exit 2
    67 [[ $VERBOSITY > 0 ]] && echo "OK"
    68 #
    69 [[ $VERBOSITY > 0 ]] && echo "${SD_BORDER}${nl_}"
    7049
    7150if [[ -e using_menuconfig ]]; then
     
    8564        #--- farce report log directory
    8665  FARCELOGDIR=$LOGDIR/farce
    87 
     66          XSL=$PROGNAME.xsl
     67
     68  case $PROGNAME in
     69    clfs2) LFSVRS=development; TREE=branches/clfs-2.0/BOOK ;; 
     70        *) LFSVRS=development; TREE=trunk/BOOK             ;;
     71  esac
     72         
    8873  if [[ ! -z ${BRANCH_ID} ]]; then
    8974    case $BRANCH_ID in
     
    11398    esac
    11499  fi
    115 fi
     100  # These are boolean vars generated from Config.in.
     101  # ISSUE: If a boolean parameter is not set <true> that 
     102  # variable is not defined by the menu app. This can
     103  # cause a headache if you are not careful.
     104  #  The following parameters MUST be created and have a
     105  #  default value.
     106  RUNMAKE=${RUNMAKE:-n}
     107  GETPKG=${GETPKG:-n}
     108  GETKERNEL=${GETKERNEL:-n}
     109  COMPARE=${COMPARE:-n}
     110  RUN_FARCE=${RUN_FARCE:-n}
     111  RUN_ICA=${RUN_ICA:-n}
     112  BOMB_TEST=${BOMB_TEST:-n}
     113  STRIP=${STRIP:=n}
     114  REPORT=${REPORT:=n}
     115  VIMLANG=${VIMLANG:-n}
     116  KEYMAP=${KEYMAP:=none}
     117  GRSECURITY_HOST=${GRSECURITY_HOST:-n}
     118 
     119else
     120  #
     121  [[ $VERBOSITY > 0 ]] && echo -n "Loading masterscript conf..."
     122  source $COMMON_DIR/config
     123  [[ $? > 0 ]] && echo "$COMMON_DIR/conf did not load.." && exit
     124  [[ $VERBOSITY > 0 ]] && echo "OK"
     125  #
     126  [[ $VERBOSITY > 0 ]] && echo -n "Loading config module <$MODULE_CONFIG>..."
     127  source $MODULE_CONFIG
     128  [[ $? > 0 ]] && echo "$MODULE_CONFIG did not load.." && exit 1
     129  [[ $VERBOSITY > 0 ]] && echo "OK"
     130  #
     131fi
     132
     133
     134[[ $VERBOSITY > 0 ]] && echo -n "Loading common-functions module..."
     135source $COMMON_DIR/common-functions
     136[[ $? > 0 ]] && echo " $COMMON_DIR/common-functions did not load.." && exit
     137[[ $VERBOSITY > 0 ]] && echo "OK"
     138[[ $VERBOSITY > 0 ]] && echo -n "Loading code module <$MODULE>..."
     139source $MODULE
     140[[ $? > 0 ]] && echo "$MODULE did not load.." && exit 2
     141[[ $VERBOSITY > 0 ]] && echo "OK"
     142#
     143[[ $VERBOSITY > 0 ]] && echo "${SD_BORDER}${nl_}"
     144
    116145
    117146#===========================================================
     
    191220      ;;
    192221
    193     --get-packages | -G )      GETPKG=1    ;;
     222    --get-packages | -G )      GETPKG=y    ;;
    194223
    195224    --help | -h )  usage | more && exit  ;;
     
    268297      shift
    269298      case $1 in
    270         ICA)              RUN_ICA=1
    271                         RUN_FARCE=0
    272                           COMPARE=1
    273         ;;
    274         farce)            RUN_ICA=0
    275                         RUN_FARCE=1
    276                           COMPARE=1
    277         ;;
    278         both)             RUN_ICA=1
    279                         RUN_FARCE=1
    280                           COMPARE=1
    281         ;;
     299        ICA)    RUN_ICA=y; RUN_FARCE=n; COMPARE=y  ;;
     300        farce)  RUN_ICA=n; RUN_FARCE=y; COMPARE=y  ;;
     301        both)   RUN_ICA=y; RUN_FARCE=y; COMPARE=y  ;;
    282302        *)
    283303          echo -e "\n$1 is an unknown analysis method."
     
    317337      test $# = 1 && eval "$exit_missing_arg"
    318338      shift
    319       case $1 in
    320         arm )
    321           ARCH=arm
    322           TARGET="arm-unknown-linux-gnu"
    323           ;;
    324         x86 )
    325           ARCH=x86
    326           TARGET="i686-pc-linux-gnu"
    327           ;;
    328         i486 )
    329           ARCH=x86
    330           TARGET="i486-pc-linux-gnu"
    331           ;;
    332         i586 )
    333           ARCH=x86
    334           TARGET="i586-pc-linux-gnu"
    335           ;;
    336         ppc )
    337           ARCH=ppc
    338           TARGET="powerpc-unknown-linux-gnu"
    339           ;;
    340         mips )
    341           ARCH=mips
    342           TARGET="mips-unknown-linux-gnu"
    343           ;;
    344         mipsel )
    345           ARCH=mips
    346           TARGET="mipsel-unknown-linux-gnu"
    347           ;;
    348         sparc )
    349           ARCH=sparc
    350           TARGET="sparcv9-unknown-linux-gnu"
    351           ;;
    352         x86_64-64 )
    353           ARCH=x86_64-64
    354           TARGET="x86_64-unknown-linux-gnu"
    355           ;;
    356         mips64-64 )
    357           ARCH=mips64-64
    358           TARGET="mips-unknown-linux-gnu"
    359           ;;
    360         mipsel64-64 )
    361           ARCH=mips64-64
    362           TARGET="mipsel-unknown-linux-gnu"
    363           ;;
    364         sparc64-64 )
    365           ARCH=sparc64-64
    366           TARGET="sparc64-unknown-linux-gnu"
    367           ;;
    368         alpha )
    369           ARCH=alpha
    370           TARGET="alpha-unknown-linux-gnu"
    371           ;;
    372         x86_64 )
    373           ARCH=x86_64
    374           TARGET="x86_64-unknown-linux-gnu"
    375           TARGET32="i686-pc-linux-gnu"
    376           ;;
    377         mips64 )
    378           ARCH=mips64
    379           TARGET="mips-unknown-linux-gnu"
    380           TARGET32="mips-unknown-linux-gnu"
    381           ;;
    382         mipsel64 )
    383           ARCH=mips64
    384           TARGET="mipsel-unknown-linux-gnu"
    385           TARGET32="mipsel-unknown-linux-gnu"
    386           ;;
    387         sparc64 )
    388           ARCH=sparc64
    389           TARGET="sparc64-unknown-linux-gnu"
    390           TARGET32="sparcv9-unknown-linux-gnu"
    391           ;;
    392         ppc64 )
    393           ARCH=ppc64
    394           TARGET="powerpc64-unknown-linux-gnu"
    395           TARGET32="powerpc-unknown-linux-gnu"
    396           ;;
    397         * )
    398           echo -e "\n$1 is an unknown or unsupported arch."
    399           exit 1
    400           ;;
     339      case $PROGNAME in
     340        CLFS2)
     341          case $1 in
     342            arm) ARCH=arm; TARGET="arm-unknown-linux-gnu" ;;
     343            x86) ARCH=x86; TARGET="i686-pc-linux-gnu"     ;;
     344              *) echo -e "\n$1 is an unknown or unsupported arch.";  exit 1
     345          esac
     346          ;;
     347        CLFS)
     348          case $1 in
     349            arm )   ARCH=arm;   TARGET="arm-unknown-linux-gnu" ;;
     350            x86 )   ARCH=x86;   TARGET="i686-pc-linux-gnu"     ;;
     351           i486 )   ARCH=x86;   TARGET="i486-pc-linux-gnu"     ;;
     352           i586 )   ARCH=x86;   TARGET="i586-pc-linux-gnu"     ;;
     353            ppc )   ARCH=ppc;   TARGET="powerpc-unknown-linux-gnu"   ;;
     354           mips )   ARCH=mips;  TARGET="mips-unknown-linux-gnu"      ;;
     355           mipsel ) ARCH=mips;  TARGET="mipsel-unknown-linux-gnu"    ;;
     356            sparc ) ARCH=sparc; TARGET="sparcv9-unknown-linux-gnu"   ;;
     357           
     358           x86_64-64 )   ARCH=x86_64-64;  TARGET="x86_64-unknown-linux-gnu"   ;;
     359           mips64-64 )   ARCH=mips64-64;  TARGET="mips-unknown-linux-gnu"     ;;
     360           mipsel64-64 ) ARCH=mips64-64;  TARGET="mipsel-unknown-linux-gnu" ;;
     361           sparc64-64 )  ARCH=sparc64-64; TARGET="sparc64-unknown-linux-gnu" ;;
     362           alpha )       ARCH=alpha;      TARGET="alpha-unknown-linux-gnu"   ;;
     363           
     364           x86_64 )   ARCH=x86_64;  TARGET="x86_64-unknown-linux-gnu";    TARGET32="i686-pc-linux-gnu"        ;;
     365           mips64 )   ARCH=mips64;  TARGET="mips-unknown-linux-gnu";      TARGET32="mips-unknown-linux-gnu"   ;;
     366           mipsel64 ) ARCH=mips64;  TARGET="mipsel-unknown-linux-gnu";    TARGET32="mipsel-unknown-linux-gnu"  ;;
     367           sparc64 )  ARCH=sparc64; TARGET="sparc64-unknown-linux-gnu";   TARGET32="sparcv9-unknown-linux-gnu"  ;;
     368            ppc64 )   ARCH=ppc64;   TARGET="powerpc64-unknown-linux-gnu"; TARGET32="powerpc-unknown-linux-gnu"  ;;
     369 
     370            * )  echo -e "\n$1 is an unknown or unsupported arch.";   exit 1  ;;
     371          esac
     372          ;;
    401373      esac
    402374      ;;
     
    447419  shift
    448420done
     421
    449422
    450423#===================================================
     
    461434
    462435
    463 # Check for minimum gcc and kernel versions
    464 #check_requirements  1 # 0/1  0-do not display values.
     436# Check for minimum bash,tar,gcc and kernel versions
    465437echo
    466438check_version "2.6.2" "`uname -r`"         "KERNEL"
     
    483455# Load additional modules or configuration files based on global settings
    484456# compare module
    485 if [[ "$COMPARE" = "1" ]]; then
     457if [[ "$COMPARE" = "y" ]]; then
    486458  [[ $VERBOSITY > 0 ]] && echo -n "Loading compare module..."
    487459  source $COMMON_DIR/func_compare.sh
     
    538510  [[ "$OPTIMIZE" != "0" ]] && cp optimize/opt_override $JHALFSDIR/
    539511  #
    540   if [[ "$COMPARE" != "0" ]] ; then
     512  if [[ "$COMPARE" = "y" ]]; then
    541513    mkdir -p $JHALFSDIR/extras
    542514    cp extras/* $JHALFSDIR/extras
     
    550522  fi
    551523  #
    552   if [[ "$REPORT" = "1" ]]; then
     524  if [[ "$REPORT" = "y" ]]; then
    553525    cp $COMMON_DIR/create-sbu_du-report.sh  $JHALFSDIR/
    554526    # After being sure that all looks sane, dump the settings to a file
     
    557529  fi
    558530  #
    559   [[ "$GETPKG" = "1" ]] && cp $COMMON_DIR/urls.xsl  $JHALFSDIR/
     531  [[ "$GETPKG" = "y" ]] && cp $COMMON_DIR/urls.xsl  $JHALFSDIR/
    560532  #
    561533  cp $COMMON_DIR/packages.xsl  $JHALFSDIR/
Note: See TracChangeset for help on using the changeset viewer.